thesignup docs
APISignupsIdItems

Create an item for a signup

POST
/signups/{id}/items
AuthorizationBearer <token>

Long-lived org-scoped API key. Generate one from your account dashboard. Pass as Authorization: Bearer sgn_live_….

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/signups/497f6eca-6276-4993-bfeb-53cbbbba6f08/items" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "quantityNeeded": 1  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
  "name": "string",
  "description": "string",
  "quantityNeeded": 1,
  "maxContributors": 1,
  "customField": {
    "name": "string",
    "required": true,
    "type": "short"
  },
  "askDetails": {
    "enabled": true,
    "label": "string",
    "placeholder": "string"
  },
  "category": "string",
  "sortOrder": 0,
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}